Bug 20053 - RFE: better distro scoring for Preferences -> rating
RFE: better distro scoring for Preferences -> rating
Status: CLOSED DEFERRED
Product: Red Hat Linux
Classification: Retired
Component: gnorpm (Show other bugs)
7.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Alexander Larsson
Dale Lovelace
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-10-30 14:41 EST by Jeff Johnson
Modified: 2007-04-18 12:29 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-06-05 16:38:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jeff Johnson 2000-10-30 14:41:49 EST
Start gnorpm, select  preferences ->  distributions.

Distribution settings (at least as listed) are unaware of platform and
distro release, and
include 6.1, pwertools, CPAN, what have you.

Numeric rating field is pure mechanism,  providing insufficient policy to
sort the
myriad sources of sources.

I'd suggest a list of  generated per-arch regex's, numeric rating collapsed
into
order of supplied regex's, 1st regex *always*  being essentially
config.guess output.

One might consider separate container classes for
	1) Raw Hide, Cooker, etc (i.e. bleeding edge)
	2) Distros
	3) Powertools vs (what Mandrake calls it)
	4) CPAN
and the ability to configurably extend the container classes.

Rationale is that mix-n-match sources for rpm downloads is increasingly a
crap shoot
between distro's and even between releases, so the goal should be less far
and wide
discovery of candidates, rather more targeted information delivery to user.
Comment 1 Alan Cox 2000-12-12 16:09:53 EST
This is an rpmfind issue not a gnorpm one. It may well go away when/if gnorpm
switches to using rpm-apt as its basis
Comment 2 Alexander Larsson 2001-07-27 11:36:23 EDT
I moved this to the gnome bugzilla so that the Gnorpm maintainers will see it.
The bug is now at:
http://bugzilla.gnome.org/show_bug.cgi?id=58174

Note You need to log in before you can comment on or make changes to this bug.